/*
package com.ruoyi.worktecket.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.worktecket.mapper.WorkTicketSmOptionMapper;
import com.ruoyi.worktecket.domain.WorkTicketSmOption;
import com.ruoyi.worktecket.service.IWorkTicketSmOptionService;

*/
/**
 * 作业票安全措施模板选项Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-04
 *//*

@Service
public class WorkTicketSmOptionServiceImpl implements IWorkTicketSmOptionService 
{
    @Autowired
    private WorkTicketSmOptionMapper workTicketSmOptionMapper;

    */
/**
     * 查询作业票安全措施模板选项
     * 
     * @param id 作业票安全措施模板选项主键
     * @return 作业票安全措施模板选项
     *//*

    @Override
    public WorkTicketSmOption selectWorkTicketSmOptionById(String id)
    {
        return workTicketSmOptionMapper.selectWorkTicketSmOptionById(id);
    }

    */
/**
     * 查询作业票安全措施模板选项列表
     * 
     * @param workTicketSmOption 作业票安全措施模板选项
     * @return 作业票安全措施模板选项
     *//*

    @Override
    public List<WorkTicketSmOption> selectWorkTicketSmOptionList(WorkTicketSmOption workTicketSmOption)
    {
        return workTicketSmOptionMapper.selectWorkTicketSmOptionList(workTicketSmOption);
    }

    */
/**
     * 新增作业票安全措施模板选项
     * 
     * @param workTicketSmOption 作业票安全措施模板选项
     * @return 结果
     *//*

    @Override
    public int insertWorkTicketSmOption(WorkTicketSmOption workTicketSmOption)
    {
        return workTicketSmOptionMapper.insertWorkTicketSmOption(workTicketSmOption);
    }

    */
/**
     * 修改作业票安全措施模板选项
     * 
     * @param workTicketSmOption 作业票安全措施模板选项
     * @return 结果
     *//*

    @Override
    public int updateWorkTicketSmOption(WorkTicketSmOption workTicketSmOption)
    {
        return workTicketSmOptionMapper.updateWorkTicketSmOption(workTicketSmOption);
    }

    */
/**
     * 批量删除作业票安全措施模板选项
     * 
     * @param ids 需要删除的作业票安全措施模板选项主键
     * @return 结果
     *//*

    @Override
    public int deleteWorkTicketSmOptionByIds(String[] ids)
    {
        return workTicketSmOptionMapper.deleteWorkTicketSmOptionByIds(ids);
    }

    */
/**
     * 删除作业票安全措施模板选项信息
     * 
     * @param id 作业票安全措施模板选项主键
     * @return 结果
     *//*

    @Override
    public int deleteWorkTicketSmOptionById(String id)
    {
        return workTicketSmOptionMapper.deleteWorkTicketSmOptionById(id);
    }
}
*/
